
//  File: KifInt.java

/*  Set tabstop = 4 to read this file.
*
*   Maintanence History:
*/


package jkp;

import jbf.*;
import java.lang.*;


/**
 * The class for KIF term of integer number.
 * @author  <A href="http://www.cs.umbc.edu/~xluan1/">Xiaocheng LUAN</A>
 */
public class KifInt extends KifTerm {
	
	public KifInt(String intString)
	{
		super(intString);
		setType(KifObj.KIF_INTTERM);
	}

	
	public KifInt(int intValue)
	{
		setType(KifObj.KIF_INTTERM);
		_termString = String.valueOf(intValue);
	}
}



